Bug 41144 - Implement the HTML5 <mark> element.
: Implement the HTML5 <mark> element.
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: HTML DOM
: 528+ (Nightly build)
: All All
: P2 Normal
Assigned To: Nobody
: HTML5
Depends on:
Blocks: 32934
  Show dependency treegraph
 
Reported: 2010-06-24 04:00 PDT by Peter Beverloo
Modified: 2010-07-02 12:45 PDT (History)
2 users (show)

See Also:


Attachments
Proposed patch (4.00 KB, patch)
2010-06-24 04:00 PDT, Peter Beverloo
mjs: review-
Details | Formatted Diff | Diff
Patch + Regression tests (7.46 KB, patch)
2010-07-02 00:14 PDT, Peter Beverloo
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Beverloo 2010-06-24 04:00:15 PDT
Created attachment 59629 [details]
Proposed patch

This patch adds support for the HTML5 <mark> element to WebKit.

The default style has been based on the current behavior of searching in Chrome, as well as on Mozilla's implementation of the tag[1].

I'm not sure about how to add tests for this, if they are required, advice would be appreciated.
Comment 1 Maciej Stachowiak 2010-07-01 13:28:16 PDT
Comment on attachment 59629 [details]
Proposed patch

Code change looks great! The one thing missing here is a regression test. Take a look at LayoutTests/fast/html for some tests for revently added HTML5 elements. r- for the lack of test, please resubmit with a test case.
Comment 2 Peter Beverloo 2010-07-02 00:14:43 PDT
Created attachment 60343 [details]
Patch + Regression tests

Added a regression test for the element.
Comment 3 Maciej Stachowiak 2010-07-02 12:13:34 PDT
Comment on attachment 60343 [details]
Patch + Regression tests

r=me
Comment 4 WebKit Commit Bot 2010-07-02 12:45:40 PDT
Comment on attachment 60343 [details]
Patch + Regression tests

Clearing flags on attachment: 60343

Committed r62398: <http://trac.webkit.org/changeset/62398>
Comment 5 WebKit Commit Bot 2010-07-02 12:45:44 PDT
All reviewed patches have been landed.  Closing bug.